com.abbyy.mobile.rtr

## Class IImagingCoreAPI.DetectDocumentBoundaryOperation

- java.lang.Object
- - com.abbyy.mobile.rtr.IImagingCoreAPI.DetectDocumentBoundaryOperation

- All Implemented Interfaces:
    IImagingCoreAPI.ImageOperation
  Enclosing interface:
    IImagingCoreAPI

      public abstract static class IImagingCoreAPI.DetectDocumentBoundaryOperation
      extends java.lang.Object
      implements IImagingCoreAPI.ImageOperation

  'Detect document boundary' operation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode` Document boundary detection mode

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `android.graphics.Rect` | `AreaOfInterest` Area of interest for the operation
    `android.graphics.Point[]` | `DocumentBoundary` [out] The detected document boundary.
    `float` | `DocumentHeight` [in, out] the document height in millimeters
    `float` | `DocumentWidth` [in, out] the document width in millimeters
    `IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode` | `Mode` [in] Switch document boundary detection mode

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetectDocumentBoundaryOperation()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.abbyy.mobile.rtr.IImagingCoreAPI.ImageOperation

      `apply`

- - ### Field Detail

    - #### AreaOfInterest

          public android.graphics.Rect AreaOfInterest

      Area of interest for the operation

    - #### Mode

          public IImagingCoreAPI.DetectDocumentBoundaryOperation.DetectionMode Mode

      [in] Switch document boundary detection mode

    - #### DocumentWidth

          public float DocumentWidth

      [in, out] the document width in millimeters

    - #### DocumentHeight

          public float DocumentHeight

      [in, out] the document height in millimeters

    - #### DocumentBoundary

          public android.graphics.Point[] DocumentBoundary

      [out] The detected document boundary. Currently the result is always a quadrangle

  - ### Constructor Detail

    - #### DetectDocumentBoundaryOperation

          public DetectDocumentBoundaryOperation()